System.Web.Services 2.0.0.0 System.Object System.Xml.Serialization.XmlType("webReferenceOptions", Namespace="http://microsoft.com/webReference/") System.Xml.Serialization.XmlRoot("webReferenceOptions", Namespace="http://microsoft.com/webReference/") To be added.

The class represents code generation options specified in an XML text file.

- Constructor
  To be added.

  Initializes a new instance of .

  2.0.0.0
- Property
  System.ComponentModel.DefaultValue(System.Xml.Serialization.CodeGenerationOptions.GenerateOldAsync)
  System.Xml.Serialization.XmlElement("codeGenerationOptions")
  System.Xml.Serialization.CodeGenerationOptions To be added. To be added.

  Gets or sets the associated with this .

  2.0.0.0
- Method
  System.Web.Services.Description.WebReferenceOptions `` `` To be added.

  Returns a new instance of based on the code generation options described in the specified stream.

  A new instance of based on the code generation options described in the specified stream.

  The that contains the code generation options. The to be associated with the new instance of . 2.0.0.0
- Method
  System.Web.Services.Description.WebReferenceOptions `` `` To be added.

  Returns a new instance of based on the code generation options described in the specified .

  A new instance of based on the code generation options described in the specified .

  The that contains the code generation options. The to be associated with the new instance of . 2.0.0.0
- Method
  System.Web.Services.Description.WebReferenceOptions `` `` To be added.

  Returns a new instance of based on the code generation options described in the specified .

  A new instance of based on the code generation options described in the specified .

  The that contains the code generation options. The to be associated with the new instance of . 2.0.0.0
- Property
  System.Xml.Schema.XmlSchema To be added. To be added.

  Gets the associated with this .

  2.0.0.0
- Property
  System.Xml.Serialization.XmlArrayItem("type")
  System.Xml.Serialization.XmlArray("schemaImporterExtensions")
  System.Collections.Specialized.StringCollection To be added. To be added.

  Gets a that represents the schema importer extensions associated with this .

  2.0.0.0
- Property
  System.ComponentModel.DefaultValue(System.Web.Services.Description.ServiceDescriptionImportStyle.Client)
  System.Xml.Serialization.XmlElement("style")
  System.Web.Services.Description.ServiceDescriptionImportStyle To be added. To be added.

  Gets or sets the associated with this .

  2.0.0.0
- Field
  System.String To be added.

  A that contains the target namespace for the .

  2.0.0.0
- Property
  System.Xml.Serialization.XmlElement("verbose")
  System.Boolean To be added. To be added.

  Gets or sets a value that indicates whether verbose warning messages are to be generated during compilation of a client proxy or a server stub.

  2.0.0.0